a=[1 0 0 0 0 0 0 0];
b=fft(a);

a=[1 1 1 1 1 1 1 1];
b=fft(a);

%% scaling
a=2*[1 1 1 1 1 1 1 1];
b=fft(a);

%% FT of comb function
a=[1 1 1 1 1 1 1 1];
b=fft(a);

%% rect windowing
a=[1 1 1 1 0 0 0 0];
b=fft(a);

%% shifting
a=[0 0 1 0 0 0 0 0];
b=fft(a);

%% 2D FFT demo
a = phantom;
b=fft2c(a);
c=ifft2c(b);
figure(1), imshow(abs(b),[min(abs(b(:))) max(abs(b(:)))/100]);
figure(2), imshow(abs(c),[]);

%% under-sampling
b1=zeros(size(b));
b1(1:1:end,1:2:end)=b(1:1:end,1:2:end);
a1=ifft2c(b1);
figure(3),imshow(abs(a1),[])

%% shifting
b2=b;
i=sqrt(-1);
c2=exp(i*pi*repmat([1:256]',1,256));
b2=b2.*c2;
a2=ifft2c(b2);
figure(4),imshow(abs(a2),[])
